### Name: dsyMatrix-class
### Title: Symmetric Dense Numeric Matrices
### Aliases: \%*\%,ddenseMatrix,dsyMatrix-method
###   \%*\%,dspMatrix,ddenseMatrix-method \%*\%,dspMatrix,matrix-method
###   \%*\%,dsyMatrix,ddenseMatrix-method \%*\%,dsyMatrix,matrix-method
###   coerce,dspMatrix,dsyMatrix-method coerce,dspMatrix,lspMatrix-method
###   coerce,dspMatrix,matrix-method coerce,dgeMatrix,dspMatrix-method
###   coerce,matrix,dspMatrix-method coerce,dgeMatrix,dsyMatrix-method
###   coerce,dsyMatrix,dspMatrix-method coerce,dsyMatrix,lsyMatrix-method
###   coerce,dsyMatrix,matrix-method coerce,matrix,dsyMatrix-method
###   show,dsyMatrix-method dspMatrix-class dsyMatrix-class
###   norm,dspMatrix,character-method norm,dspMatrix,missing-method
###   norm,dsyMatrix,character-method norm,dsyMatrix,missing-method
###   rcond,dspMatrix,character-method rcond,dspMatrix,missing-method
###   rcond,dsyMatrix,character-method rcond,dsyMatrix,missing-method
###   solve,dspMatrix,ddenseMatrix-method solve,dspMatrix,matrix-method
###   solve,dspMatrix,missing-method solve,dsyMatrix,ddenseMatrix-method
###   solve,dsyMatrix,matrix-method solve,dsyMatrix,missing-method
###   t,dspMatrix-method t,dsyMatrix-method unpack,dspMatrix-method
### Keywords: classes

### ** Examples

## Only upper triangular part matters (when uplo == "U" as per default)
(sy2 <- new("dsyMatrix", Dim = as.integer(c(2,2)), x = c(14, NA,32,77)))
(c2 <- chol(sy2))
all.equal(c2, c2. <- chol(as(sy2, "dpoMatrix")))# equal, but not same class
str(c2)

## An example where chol() can't work
(sy3 <- new("dsyMatrix", Dim = as.integer(c(2,2)), x = c(14, -1, 2, -7)))

validObject(as(sy3, "dpoMatrix"), test=TRUE) # >> is not pos.def.
try(chol(sy3)) ## Error: not pos.def



